package com.fs.chat.mapper;

import java.util.List;
import com.fs.chat.domain.ChatRole;
import org.apache.ibatis.annotations.Select;

/**
 * 聊天角色Mapper接口
 *
 * @author fs
 * @date 2024-04-19
 */
public interface ChatRoleMapper
{
    /**
     * 查询聊天角色
     *
     * @param roleId 聊天角色主键
     * @return 聊天角色
     */
    public ChatRole selectChatRoleByRoleId(Long roleId);

    /**
     * 查询聊天角色列表
     *
     * @param chatRole 聊天角色
     * @return 聊天角色集合
     */
    public List<ChatRole> selectChatRoleList(ChatRole chatRole);

    /**
     * 新增聊天角色
     *
     * @param chatRole 聊天角色
     * @return 结果
     */
    public int insertChatRole(ChatRole chatRole);

    /**
     * 修改聊天角色
     *
     * @param chatRole 聊天角色
     * @return 结果
     */
    public int updateChatRole(ChatRole chatRole);

    /**
     * 删除聊天角色
     *
     * @param roleId 聊天角色主键
     * @return 结果
     */
    public int deleteChatRoleByRoleId(Long roleId);

    /**
     * 批量删除聊天角色
     *
     * @param roleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteChatRoleByRoleIds(Long[] roleIds);
    @Select("select * from chat_role where kf_id=#{open_kfid}")
    ChatRole selectChatRoleByKfId(String open_kfid);
}
